Bug 9809 - dbwrap_tools.1.xml Missing from %files Section for RPM Build
dbwrap_tools.1.xml Missing from %files Section for RPM Build
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Packaging
3.6.13
All Linux
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-18 13:04 UTC by Larry Adams
Modified: 2013-08-12 11:27 UTC (History)
0 users

See Also:


Attachments
Patch (833 bytes, patch)
2013-04-19 14:22 UTC, Volker Lendecke
kseeger: review+
Details
Patch for v4-0-test incl. cherry-pick information (972 bytes, patch)
2013-04-22 09:44 UTC, Karolin Seeger
vl: review+
kseeger: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Adams 2013-04-18 13:04:40 UTC
The following is missing from the spec file template under packaging/RHEL directory. This causes RPM build failures:

error: Installed (but unpackaged) file(s) found:
   /usr/share/man/man1/dbwrap_tool.1.gz

Solution is to add the following to the %files section:

%{_mandir}/man1/dbwrap_*.1*
Comment 1 Volker Lendecke 2013-04-19 14:22:30 UTC
Created attachment 8792 [details]
Patch

Applies to master, 4.0 and 3.6. Andreas, please review & push to master if okay

Thanks
Comment 2 Karolin Seeger 2013-04-22 07:49:18 UTC
Pushed to autobuild-master.
Comment 3 Karolin Seeger 2013-04-22 09:41:32 UTC
Pushed to master (5512a43a).
Comment 4 Karolin Seeger 2013-04-22 09:44:31 UTC
Created attachment 8801 [details]
Patch for v4-0-test incl. cherry-pick information
Comment 5 Karolin Seeger 2013-04-22 09:54:45 UTC
Pushed to v3-6-test and autobuild-v4-0-test.
Comment 6 Karolin Seeger 2013-04-25 10:46:16 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!